module RSeed
    module Session
        extend self

        def filename(user, session)
            file = File.join(Config.data_path, user, session)
            FileUtils.mkdir_p File.dirname(file) if not File.directory? File.dirname(file)
            file
        end

        def valid?(user, session)
            begin
                File.exists? filename(user, session)
            rescue
                false
            end
        end

        def signin(user, password)
          if Config.get("user") == user
            if Config.get("pass") == password
              session = Digest::SHA1.hexdigest("#{user}#{Time.now}#{rand}")
              File.open(filename(user, session), 'w') do |fd|
                fd.write Time.now.to_s
              end
            end
          end
          [user, session]
        end

    end
end
